:host {
  display: inline-block;

  /* Prevent division by zero */
  min-width: 1px;
  min-height: 1px;
}

:host .container {
  position: relative;

  width: 100%;
  height: 100%;

  /* hide space used by pre-scaled iframe */
  overflow: hidden;

  margin: auto;
}

:host iframe {
  /* prevent parent background from leaking */
  background: white;

  position: absolute;
  left: 0;
  top: 0;

  width: 100%;
  height: 100%;

  transform-origin: top left;
  backface-visibility: hidden;
  -webkit-font-smoothing: antialiased;

  transition-property: width, height, transform;
  transition-duration: .25s;
  transition-timing-function: ease-out;
}
